import { __assign } from "tslib";
import { jsx as _jsx } from "react/jsx-runtime";
import NumberInput from '../../number-input';
import { FormField } from '../Field';
export function FormNumberInputField(props) {
    return (_jsx(FormField, __assign({}, props, { defaultValue: props.defaultValue ||
            '' }, { children: function (childProps) { return _jsx(NumberInput, __assign({}, props.props, childProps), void 0); } }), void 0));
}
_jsx(NumberInput, {}, void 0);
